package org.linlinjava.jz.db.domain;

import java.util.List;
import java.util.Map;

import org.linlinjava.jz.db.util.hm.HmCommentEnum;

public class HmNoticeExt {

	private Integer type=HmCommentEnum.comment_num_2.getType();//1是拜访，2是通知，两种合并查询，默认是2
	private Boolean isComment;//是否已评价
	private HmComment comment;//评价详细
	private Map<String,Object> relationOther;//状态
	private JzTicket jzTicket;
	private List<HmNoticeUser> noticeUserList; //HmNoticeEnum.getRelationTypeValue
	
	private String status;//通知状态，处理的临时变量
	
	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public Boolean getIsComment() {
		return isComment;
	}

	public void setIsComment(Boolean isComment) {
		this.isComment = isComment;
	}

	public HmComment getComment() {
		return comment;
	}

	public void setComment(HmComment comment) {
		this.comment = comment;
	}

	public Integer getType() {
		return type;
	}

	public void setType(Integer type) {
		this.type = type;
	}

	public Map<String, Object> getRelationOther() {
		return relationOther;
	}

	public void setRelationOther(Map<String, Object> relationOther) {
		this.relationOther = relationOther;
	}

	public JzTicket getJzTicket() {
		return jzTicket;
	}

	public void setJzTicket(JzTicket jzTicket) {
		this.jzTicket = jzTicket;
	}

	public List<HmNoticeUser> getNoticeUserList() {
		return noticeUserList;
	}

	public void setNoticeUserList(List<HmNoticeUser> noticeUserList) {
		this.noticeUserList = noticeUserList;
	}

}